QXmpp: QXmppCall Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppCall Class Reference
Inheritance diagram for QXmppCall:

## Public Types
enum | Direction { IncomingDirection , OutgoingDirection }
| This enum is used to describe the direction of a call. More...
enum | State { ConnectingState = 0 , ActiveState = 1 , DisconnectingState = 2 , FinishedState = 3 }
| This enum is used to describe the state of a call. More...

## Public Member Functions
QXmppCall::Direction | direction () const
QString | jid () const
QString | sid () const
QXmppCall::State | state () const
std::optional< QXmppError > | error () const
GstElement * | pipeline () const
QXmppCallStream * | audioStream () const
QXmppCallStream * | videoStream () const
bool | isEncrypted () const
bool | videoSupported () const
void | accept ()
void | decline ()
void | hangUp ()
void | addVideo ()
Q_SIGNAL void | connected ()
| This signal is emitted when a call is connected.
Q_SIGNAL void | finished ()
| This signal is emitted when a call is finished.
Q_SIGNAL void | ringing ()
| This signal is emitted when the remote party is ringing.
Q_SIGNAL void | stateChanged (QXmppCall::State state)
| This signal is emitted when the call state changes.
Q_SIGNAL void | streamCreated (QXmppCallStream *stream)
| This signal is emitted when a stream is created.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Properties
Direction | direction
| The call's direction.
QString | jid
| The remote party's JID.
State | state
| The call's state.

## Friends
class | QXmppCallManager
class | QXmppCallManagerPrivate
class | QXmppCallPrivate

## Additional Inherited Members
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppCall class represents a Voice-Over-IP call to a remote party.

Note
  THIS API IS NOT FINALIZED YET

## Member Enumeration Documentation

## ◆ Direction

enum QXmppCall::Direction

This enum is used to describe the direction of a call.

Enumerator
IncomingDirection | The call is incoming.
OutgoingDirection | The call is outgoing.

## ◆ State

enum QXmppCall::State

This enum is used to describe the state of a call.

Enumerator
ConnectingState | The call is being connected.
ActiveState | The call is active.
DisconnectingState | The call is being disconnected.
FinishedState | The call is finished.

## Member Function Documentation

## ◆ accept()

void QXmppCall::accept | ( |  | ) |

Call this method if you wish to accept an incoming call.

See also
  decline()

## ◆ addVideo()

void QXmppCall::addVideo | ( |  | ) |

Starts sending video to the remote party.

## ◆ audioStream()

QXmppCallStream * QXmppCall::audioStream | ( |  | ) | const

Returns the RTP stream for the audio data.

Since
  QXmpp 1.3

## ◆ decline()

void QXmppCall::decline | ( |  | ) |

Rejects the call.

This will terminate the call with reason decline.

See also
  accept()

## ◆ direction()

QXmppCall::Direction QXmppCall::direction | ( |  | ) | const

Returns the call's direction.

## ◆ error()

std::optional< QXmppError > QXmppCall::error | ( |  | ) | const

Returns the error of the call if any occurred.

Since
  QXmpp 1.14

## ◆ hangUp()

void QXmppCall::hangUp | ( |  | ) |

Hangs up the call.

Terminates with the reason success.

## ◆ isEncrypted()

bool QXmppCall::isEncrypted | ( |  | ) | const

Returns if the call is encrypted

Since
  QXmpp 1.11

## ◆ jid()

QString QXmppCall::jid | ( |  | ) | const

Returns the remote party's JID.

## ◆ pipeline()

GstElement * QXmppCall::pipeline | ( |  | ) | const

Returns the GStreamer pipeline.

Since
  QXmpp 1.3

## ◆ sid()

QString QXmppCall::sid | ( |  | ) | const

Returns the call's session identifier.

## ◆ state()

QXmppCall::State QXmppCall::state | ( |  | ) | const

Returns the call's state.

See also
  stateChanged()

## ◆ videoStream()

QXmppCallStream * QXmppCall::videoStream | ( |  | ) | const

Returns the RTP stream for the video data.

Since
  QXmpp 1.3

## ◆ videoSupported()

bool QXmppCall::videoSupported | ( |  | ) | const

Returns whether the remote also supports video calls.

Since
  QXmpp 1.14

The documentation for this class was generated from the following files:

- QXmppCall.h
- QXmppCall.cpp